Kerbal Space Program - Bug #18021

Game hangs, and then can't continue mission.
03/13/2018 08:27 PM - MechBFP

Status: Closed Start date: 03/13/2018
Severity: High % Done: 100%
Assignee:

Category: Gameplay

Target version: 1.4.2

Version: 1.41 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

So | managed to break the very first expansion mission in under 5 minutes.

1) Build a rocket

2) Put 2 of the controllable wings too low so that the rocket tips over on the launch pad.
3) Since "Revert Flight" is grayed out in menu, | pressed "Recover Vessel" instead.

4) This brings me back to the main Space Center view, in which | can no longer access the VAB since it is "locked out", so | select
"Restart Mission".

5) Game freezes in the loading screen forever.

6) Once force killing the game process, if you start the game back up and select the first mission again and click "continue" the
button does nothing. You have to hit "reset" and then start the whole mission over again.

100% reproducible.

History

#1 - 03/13/2018 09:03 PM - MechBFP

Note: Once | was able to get the 2nd part of this mission, | was able to revert the flight back to the VAB just fine.
As such it seems like that option was disabled by accident when whoever was designing the mission.

In any case, if "recovering" a vehicle breaks the game in the missions, it should be disabled as well unless specifically required for a mission
objective.

#2 - 03/14/2018 01:55 PM - rudi1291

Confirmed. | just got this exact error. It seems this can happen with every mission:

1) Start a mission, no matter if stock, community, or made by yourself. Even testing the mission can trigger the bug.
2) Once you have built a mission vessel, set it on the launch pad.

3) Recover the mission vessel or just return to the Space Center, without completing the mission.

4) Hit 'Esc.' and then 'Restart Mission'.

Instead of restarting the mission, the game now goes into a endless loading screen. Ending the game with 'Alt-F4' or by any other means breaks the
mission save. It seems that recovering the mission vessel or returning to the space center before reaching an end node (no matter if success or fail)
and then hitting 'Restart Mission' triggers this bug.

May i also suggest changing the priority to 'Normal' or 'Low'? Seems more fitting, since you can still play the mission, even if its confusing...

#3 - 03/14/2018 02:13 PM - rudi1291

- Status changed from New to Confirmed

- % Done changed from 0 to 10

#4 - 03/27/2018 03:43 PM - Squelch
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#5 - 03/29/2018 10:02 AM - Squelch
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.4.2

- % Done changed from 30 to 80

#6 - 03/29/2018 11:58 AM - rudi1291
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

Recovering the mission vessel is disabled by default. Returning to the Space Center is an option, and resetting the mission from there no longer
causes the game to hang in a loading screen.

#7 - 04/03/2018 01:25 PM - Squelch

- Status changed from Resolved to Closed

04/20/2024 22


http://www.tcpdf.org

